Gecode::Int::BinPacking::SizeSet Class Reference

Size sets. More...

`#include <bin-packing.hh>`

## Public Member Functions

| SizeSet (void)
| Default constructor.
| SizeSet (Region &region, int n_max)
| Initialize for at most n_max items.
void | add (int s)
| Add new size s.
int | card (void) const
| Return cardinality of set (number of entries).
int | total (void) const
| Return total size.
int | operator[] (int i) const
| Return size of item i.

## Protected Attributes

int | n
| Number of size entries in the set.
int | t
| Total size of the set.
int * | s
| Array of sizes (will have more elements).

## Detailed Description

Size sets.

Definition at line 87 of file bin-packing.hh.

## Constructor & Destructor Documentation

## SizeSet() [1/2]

Gecode::Int::BinPacking::SizeSet::SizeSet | ( | void |  | ) |

inline

Default constructor.

Definition at line 92 of file propagate.hpp.

## SizeSet() [2/2]

Gecode::Int::BinPacking::SizeSet::SizeSet | ( | Region & | region,
|  | int | n_max )

inline

Initialize for at most n_max items.

Definition at line 94 of file propagate.hpp.

## Member Function Documentation

## add()

void Gecode::Int::BinPacking::SizeSet::add | ( | int | s | ) |

inline

Add new size s.

Definition at line 97 of file propagate.hpp.

## card()

int Gecode::Int::BinPacking::SizeSet::card | ( | void |  | ) | const

inline

Return cardinality of set (number of entries).

Definition at line 101 of file propagate.hpp.

## total()

int Gecode::Int::BinPacking::SizeSet::total | ( | void |  | ) | const

inline

Return total size.

Definition at line 105 of file propagate.hpp.

## operator[]()

int Gecode::Int::BinPacking::SizeSet::operator[] | ( | int | i | ) | const

inline

Return size of item i.

Definition at line 109 of file propagate.hpp.

## Member Data Documentation

## n

int Gecode::Int::BinPacking::SizeSet::n

protected

Number of size entries in the set.

Definition at line 90 of file bin-packing.hh.

## t

int Gecode::Int::BinPacking::SizeSet::t

protected

Total size of the set.

Definition at line 92 of file bin-packing.hh.

## s

int* Gecode::Int::BinPacking::SizeSet::s

protected

Array of sizes (will have more elements).

Definition at line 94 of file bin-packing.hh.

The documentation for this class was generated from the following files:

- gecode/int/bin-packing.hh
- gecode/int/bin-packing/propagate.hpp